%define  verdate  20160503
%define  srcname  %{verdate}_a


Name:    iausofa-c
Version: %{verdate}a
Release: %mkrel 1
Summary: Standards of fundamental astronomy

# Upstream version
%define major 0
%define libname %mklibname sofa %{major}
%define libname_virt	libsofa
%define develname %mklibname sofa -d

Group:   Sciences/Astronomy
License: SOFA
URL:     http://www.iausofa.org/
Source0: http://www.iausofa.org/2012_0301_C/sofa_c-%{srcname}.tar.gz
Patch0:  iausofa-c-makefile.patch



%description
SOFA operates under the auspices of the International Astronomical
Union (IAU) to provide algorithms and software for use in astronomical
computing. The initiative is managed by an international panel, the
SOFA Board, appointed through IAU Division A. The Board obtains the
latest IAU-approved models and theories from the fundamental-astronomy
community, implements them as computer code and checks them for
accuracy. SOFA works closely with all the Commissions of the Division
and with the International Earth Rotation and Reference Systems
Service (IERS).

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: Standards of fundamental astronomy
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
%description -n %{libname}
SOFA operates under the auspices of the International Astronomical
Union (IAU) to provide algorithms and software for use in astronomical
computing. The initiative is managed by an international panel, the
SOFA Board, appointed through IAU Division A. The Board obtains the
latest IAU-approved models and theories from the fundamental-astronomy
community, implements them as computer code and checks them for
accuracy. SOFA works closely with all the Commissions of the Division
and with the International Earth Rotation and Reference Systems
Service (IERS)

%prep
%setup -q -n sofa
%patch0 -p1 -b .orig

%build
cd %{srcname}/c/src
%make_build INSTALL_DIR=%{buildroot}%{_prefix} \
            SOFA_LIB_DIR=%{buildroot}%{_libdir} \
	    CFLAGF="-c -fPIC %{optflags}" CFLAGL="%{optflags}"


%install
cd %{srcname}/c/src
#%{__mkdir_p} %{buildroot}%{_libdir}
#%{__mkdir_p} %{buildroot}%{_includedir}
%__install -D -m644 *.h -t %{buildroot}%{_includedir}
%__install -D libsofa_c.so.0.0 -t %{buildroot}%{_libdir}
pushd %{buildroot}%{_libdir}
%__ln_s libsofa_c.so.0.0 libsofa_c.so.0
%__ln_s libsofa_c.so.0 libsofa_c.so
popd

%files -n %{libname}
%{_libdir}/libsofa_c.so.*

%files -n %{develname}
%{_libdir}/libsofa_c.so
%{_includedir}/*




%changelog
* Wed Dec 14 2016 eatdirt <eatdirt> 20160503a-1.mga6
+ Revision: 1075124
- Upgrade iausofa-c to latest version

* Thu Feb 04 2016 umeabot <umeabot> 20120301a-6.mga6
+ Revision: 934441
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20120301a-5.mga5
+ Revision: 740696
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20120301a-4.mga5
+ Revision: 680407
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20120301a-3.mga4
+ Revision: 531836
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 joequant <joequant> 20120301a-2.mga4
+ Revision: 465452
- fix deps iausofa-c

* Sat Aug 10 2013 joequant <joequant> 20120301a-1.mga4
+ Revision: 465270
- imported package iausofa-c

